1. #1
    Sencha User
    Join Date
    Jan 2011
    Posts
    10
    Vote Rating
    2
    Rovak is on a distinguished road

      1  

    Default Sencha Module for Zend Framework 2

    Sencha Module for Zend Framework 2


    I have put our internal Sencha module that we use on Github, it currently provides a Direct API generator with caching and an automatic bootstrap generator. The github repository is located at https://github.com/KablauJoustra/KJSencha

    This is only a small part of the features that we use in our applications and more will be put on Github later.

    Future plans are:
    • Dynamic Ext JS component generator in PHP
    • Direct Polling with simple CRON syntax
    • Support for stores
    • Rest controllers with zf2 hydrators
    • Automatic Sencha CMD bootstrap builder
    • Sencha Touch and Ext Scheduler modules
    • More...
    There is an Example application available here which has the Direct examples from the official documentation.

    I
    f you have any issues, questions or additions feel free to submit them to the Issue Tracker, submit a Pull Request or post them here.

  2. #2
    Sencha - Senior Forum Manager mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    36,522
    Vote Rating
    814
    mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute mitchellsimoens has a reputation beyond repute

      0  

    Default


    Thanks for the contribution!
    Mitchell Simoens @SenchaMitch
    Sencha Inc, Senior Forum Manager
    ________________
    Check out my GitHub, lots of nice things for Ext JS 4 and Sencha Touch 2
    https://github.com/mitchellsimoens

    Think my support is good? Get more personalized support via a support subscription. https://www.sencha.com/store/

    Need more help with your app? Hire Sencha Services services@sencha.com

    Want to learn Sencha Touch 2? Check out Sencha Touch in Action that is in print!

    When posting code, please use BBCode's CODE tags.

  3. #3
    Sencha User
    Join Date
    Jan 2011
    Posts
    10
    Vote Rating
    2
    Rovak is on a distinguished road

      0  

    Default


    Thanks to Ocramius the module now supports Composer and AssetManager

  4. #4
    Sencha User
    Join Date
    Jun 2013
    Posts
    1
    Vote Rating
    0
    ibo_s is on a distinguished road

      0  

    Default Something production ready ?

    Something production ready ?


    Is there something that is production ready or at least in beta version ?
    I am thinking of integrating extJs in a ZF2 Project.

  5. #5
    Sencha User
    Join Date
    Jan 2011
    Posts
    10
    Vote Rating
    2
    Rovak is on a distinguished road

      0  

    Default


    KJSencha is already being used in production environments, give the module a try and if you have any questions use the github issue tracker.

  6. #6
    Sencha User
    Join Date
    May 2013
    Posts
    1
    Vote Rating
    0
    abbaddon is on a distinguished road

      0  

    Default Trying to install error...

    Trying to install error...


    Hi i'm trying to install the module and when using the command:

    composer.phar require kablau-joustra/kj-sencha

    and got this message:

    Please provide a version constraint for the kablau-joustra/kj-sencha requirement:

    So I typed:

    0.2.1

    wich was the latest version on GITHub but got this error:


    composer.json has been updated
    Loading composer repositories with package information
    Updating dependencies (including require-dev)
    Your requirements could not be resolved to an installable set of packages.

    Problem 1
    - The requested package kablau-joustra/kj-sencha 0.2.1 could not be found.

    Potential causes:
    - A typo in the package name
    - The package is not available in a stable-enough version according to your min
    imum-stability setting
    see <https://groups.google.com/d/topic/composer-dev/_g3ASeIFlrc/discussion> f
    or more details.

    Read <http://getcomposer.org/doc/articles/troubleshooting.md> for further common
    problems.

    Installation failed, reverting composer.json to its original content.


    What's wrong? is it me? is it GITHub? Is it something else?